# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.photos
Class CommentEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<E>
                  com.google.gdata.data.media.MediaEntry<E>
                      com.google.gdata.data.photos.GphotoEntry<CommentEntry>
                          com.google.gdata.data.photos.CommentEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor, IMediaEntry, AtomData, CommentData, Extensible, GphotoData

    public class CommentEntry

extends GphotoEntry<CommentEntry>
implements AtomData, CommentData

Entry for comment kinds, contains comment metadata.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static Category` `CATEGORY` Comment kind category.
`static java.lang.String` `KIND` Comment kind term value.

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Fields inherited from interface com.google.gdata.data.photos.CommentData
`COMMENT_CATEGORY, COMMENT_KIND`

Constructor Summary
`CommentEntry()` Default mutable constructor.
`CommentEntry(BaseEntry<?> sourceEntry)` Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`java.lang.String` `getAlbumId()` Gets the albumid of the album the comment is contained in.
`GphotoAlbumId` `getAlbumIdExt()` Returns the album ID of the album this comment is on.
`java.lang.String` `getPhotoId()` Gets the id of the photo this comment is about.
`GphotoPhotoId` `getPhotoIdExt()` Returns the photo ID of the album this comment is on.
`boolean` `hasAlbumIdExt()` Returns whether it has the album ID of the album this comment is on.
`boolean` `hasPhotoIdExt()` Returns whether it has the photo ID of the album this comment is on.
`void` `setAlbumId(java.lang.Long albumId)` Set the albumId of the album this comment is contained in.
`void` `setAlbumId(java.lang.String albumId)` Set the albumId by string for the album the comment is on.
`void` `setAlbumIdExt(GphotoAlbumId albumIdExt)` Sets the album ID of the album this comment is on.
`void` `setPhotoId(java.lang.Long photoId)` Set the photoId for the photo this comment is on.
`void` `setPhotoId(java.lang.String photoId)` Set the photoId as a string for the photo this comment is on.
`void` `setPhotoIdExt(GphotoPhotoId photoIdExt)` Sets the photo ID of the album this comment is on.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.photos.GphotoEntry
`generateRss, getAdaptedEntry, getDescription, getFeed, getFeedLink, getGphotoId, setDescription, setGphotoId, setGphotoId`

Methods inherited from class com.google.gdata.data.media.MediaEntry
`getContentHandlerInfo, getMediaEditLink, getMediaSource, setMediaSource, setService, updateMedia`

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.photos.AtomData
`getAuthors, getCategories, getContributors, getDescription, getId, getLinks, getRights, getTitle, getUpdated, setDescription, setId, setRights, setTitle, setUpdated`

Methods inherited from interface com.google.gdata.data.photos.GphotoData
`getGphotoId, setGphotoId, setGphotoId`

Methods inherited from interface com.google.gdata.data.photos.Extensible
`addExtension, addRepeatingExtension, removeExtension, removeExtension, removeRepeatingExtension, setExtension`

Methods inherited from interface com.google.gdata.data.IEntry
`getCanEdit, getContent, getEdited, getEditLink, getPublished, getResumableEditMediaLink, getSelectedFields, getSummary, setCanEdit, setEdited, setPublished, setSelectedFields`

Methods inherited from interface com.google.gdata.data.IAtom
`addLink, getAuthors, getCategories, getEtag, getId, getKind, getLink, getLinks, getSelfLink, getTitle, getUpdated, getVersionId, removeLinks, removeLinks, setEtag, setId, setKind, setUpdated, setVersionId`

Field Detail

### KIND

    public static final java.lang.String KIND

  Comment kind term value.

  See Also:
    Constant Field Values

### CATEGORY

    public static final Category CATEGORY

  Comment kind category.

Constructor Detail

### CommentEntry

    public CommentEntry()

  Default mutable constructor.

### CommentEntry

    public CommentEntry(BaseEntry<?> sourceEntry)

  Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

  Parameters:
    `sourceEntry` - source entry

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Specified by:
    `declareExtensions` in interface `Extensible`
  Overrides:
    `declareExtensions` in class `GphotoEntry<CommentEntry>`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getAlbumIdExt

    public GphotoAlbumId getAlbumIdExt()

  Returns the album ID of the album this comment is on.

  Returns:
    album ID of the album this comment is on

### setAlbumIdExt

    public void setAlbumIdExt(GphotoAlbumId albumIdExt)

  Sets the album ID of the album this comment is on.

  Parameters:
    `albumIdExt` - album ID of the album this comment is on or `null` to reset

### hasAlbumIdExt

    public boolean hasAlbumIdExt()

  Returns whether it has the album ID of the album this comment is on.

  Returns:
    whether it has the album ID of the album this comment is on

### getPhotoIdExt

    public GphotoPhotoId getPhotoIdExt()

  Returns the photo ID of the album this comment is on.

  Returns:
    photo ID of the album this comment is on

### setPhotoIdExt

    public void setPhotoIdExt(GphotoPhotoId photoIdExt)

  Sets the photo ID of the album this comment is on.

  Parameters:
    `photoIdExt` - photo ID of the album this comment is on or `null` to reset

### hasPhotoIdExt

    public boolean hasPhotoIdExt()

  Returns whether it has the photo ID of the album this comment is on.

  Returns:
    whether it has the photo ID of the album this comment is on

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getAlbumId

    public java.lang.String getAlbumId()

  Description copied from interface: `CommentData`
  Gets the albumid of the album the comment is contained in.

  Specified by:
    `getAlbumId` in interface `CommentData`
  Returns:
    the albumId of the album this comment is on.

### getPhotoId

    public java.lang.String getPhotoId()

  Description copied from interface: `CommentData`
  Gets the id of the photo this comment is about.

  Specified by:
    `getPhotoId` in interface `CommentData`
  Returns:
    the photoId of the photo this comment is on.

### setAlbumId

    public void setAlbumId(java.lang.Long albumId)

  Description copied from interface: `CommentData`
  Set the albumId of the album this comment is contained in.

  Specified by:
    `setAlbumId` in interface `CommentData`
  Parameters:
    `albumId` - the albumId of the comment.

### setAlbumId

    public void setAlbumId(java.lang.String albumId)

  Description copied from interface: `CommentData`
  Set the albumId by string for the album the comment is on.

  Specified by:
    `setAlbumId` in interface `CommentData`
  Parameters:
    `albumId` - the albumId of the comment.

### setPhotoId

    public void setPhotoId(java.lang.Long photoId)

  Description copied from interface: `CommentData`
  Set the photoId for the photo this comment is on.

  Specified by:
    `setPhotoId` in interface `CommentData`
  Parameters:
    `photoId` - the photoId of the comment.

### setPhotoId

    public void setPhotoId(java.lang.String photoId)

  Description copied from interface: `CommentData`
  Set the photoId as a string for the photo this comment is on.

  Specified by:
    `setPhotoId` in interface `CommentData`
  Parameters:
    `photoId` - the photoId of the comment.